import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { IntNullableFilterObjectSchema as IntNullableFilterObjectSchema } from './IntNullableFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema'

const cloudfolderscalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => CloudFolderScalarWhereInputObjectSchema), z.lazy(() => CloudFolderScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => CloudFolderScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => CloudFolderScalarWhereInputObjectSchema), z.lazy(() => CloudFolderScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  name: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  parentId: z.union([z.lazy(() => IntNullableFilterObjectSchema), z.number().int()]).optional().nullable(),
  patientId: z.union([z.lazy(() => IntNullableFilterObjectSchema), z.number().int()]).optional().nullable(),
  createdAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional(),
  updatedAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional()
}).strict();
export const CloudFolderScalarWhereInputObjectSchema: z.ZodType<Prisma.CloudFolderScalarWhereInput> = cloudfolderscalarwhereinputSchema as unknown as z.ZodType<Prisma.CloudFolderScalarWhereInput>;
export const CloudFolderScalarWhereInputObjectZodSchema = cloudfolderscalarwhereinputSchema;
